package LogSupplementals::CMS;

use strict;

use Data::Dumper;
sub init_request {
    my $app = shift;

    my $core = MT->component("core");
    eval { $core->registry("applications","cms","disable_object_methods"); };
    return if $@;

    $core->registry("applications","cms","disable_object_methods","log",
        {
            save   => 1,
            delete => 0,
            edit   => 1,
        });
}

sub add_js {
    my ($cb, $app, $template) = @_;

    my $old;
    my $new;

    $old = <<HTML;
    jQuery('td.message').mtToggleField();
HTML
    $old = quotemeta($old);

    $new = <<HTML;
    jQuery('td.message').mtToggleField();
//    jQuery('th.col.head.cb.first-child').css('display','table-cell');
//    jQuery('td.cb.col').css('display','block');
HTML

    $$template =~ s/$old//;
}


1;
